/* ===== VARIABLES ===== */
:root {
  --color-primary: #577d60;
  --color-secondary: #57697D;
  --color-dark: #363636;
  --color-white: #fff;
  --color-light: #f5f5f5;
  --container-max: 1152px;
  --navbar-height: 80px;
  --footer-height: 80px;
}

/* ===== RESET ===== */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
  height: 100%;
}

body {
  font-family: "Montserrat", sans-serif;
  letter-spacing: 1.5px;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  font-size: 16px;
  line-height: 1.5;
  background-color: var(--color-light);
}

a {
  color: inherit;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

ol {
  padding-left: 0;
  list-style-position: inside;
}

ul {
  list-style: disc;
  margin: 1.5rem 0 1.5rem 2rem;
}

li {
  margin-bottom: 0.5rem;
}

h1 {
  font-weight: 400;
  font-size: 2.25rem;
}

h2 {
  font-weight: 400;
  font-size: 1.25rem;
}

h1, h2, h3, p {
  margin-bottom: 1.5rem;
}

section {
  display: flex;
  align-items: center;
  padding: 3rem 1.5rem;
}

main {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
}
